diff -Naur a/Makefile b/Makefile
--- a/Makefile	2007-04-22 11:42:22.000000000 +0000
+++ b/Makefile	2021-04-20 22:48:57.084918445 +0000
@@ -2,7 +2,7 @@
 
 # If you change destination of executables, remember to change
 # startup script (init.d/sms3) too.
-BINDIR=/usr/local/bin
+BINDIR=/usr/bin
 
 VERSION=$(shell grep package_version src/version.h | cut -f2)
 
diff -Naur a/install.sh b/install.sh
--- a/install.sh	2007-04-22 11:43:17.000000000 +0000
+++ b/install.sh	2021-04-20 23:01:28.251300300 +0000
@@ -64,7 +64,7 @@
     echo "  Skipped $1, directory already exists"
   else
     echo "  Creating directory $1"
-    mkdir $1
+    mkdir -p $1
   fi
 }
 
@@ -79,43 +79,28 @@
 if [ -f src/smsd.exe ]; then
   forcecopy src/smsd.exe $BINDIR/smsd.exe
 else
-  forcecopy src/smsd $BINDIR/smsd
+  makedir $DESTDIR/$BINDIR
+  forcecopy src/smsd $DESTDIR/$BINDIR/smsd
 fi
-delete $BINDIR/getsms
-delete $BINDIR/putsms
 
 echo "Installing some scripts"
-copy scripts/sendsms $BINDIR/sendsms
-copy scripts/sms2html $BINDIR/sms2html
-copy scripts/sms2unicode $BINDIR/sms2unicode
-copy scripts/unicode2sms $BINDIR/unicode2sms
-
-echo "Installing config file"
-copy examples/smsd.conf.easy /etc/smsd.conf
+copy scripts/sendsms $DESTDIR/$BINDIR/sendsms
+copy scripts/sms2html $DESTDIR/$BINDIR/sms2html
+copy scripts/sms2unicode $DESTDIR/$BINDIR/sms2unicode
+copy scripts/unicode2sms $DESTDIR/$BINDIR/unicode2sms
 
 echo "Creating minimum spool directories"
-makedir /var/spool
-makedir /var/spool/sms
-makedir /var/spool/sms/incoming
-makedir /var/spool/sms/outgoing
-makedir /var/spool/sms/checked
+makedir $DESTDIR/var/spool
+makedir $DESTDIR/var/spool/sms
+makedir $DESTDIR/var/spool/sms/incoming
+makedir $DESTDIR/var/spool/sms/outgoing
+makedir $DESTDIR/var/spool/sms/checked
 
 echo "Installing start-script"
-SMS3SCRIPT=scripts/sms3
-if [ -d /etc/init.d ]; then
-  copy scripts/sms3 /etc/init.d/sms3
-  SMS3SCRIPT=/etc/init.d/sms3
-elif [ -d /sbin/init.d ]; then
-  copy scripts/sms3 /sbin/init.d/sms3
-  SMS3SCRIPT=/sbin/init.d/sms3
-else
-  echo "  I do not know where to copy scripts/sms3. Please find out yourself."
-fi
+makedir $DESTDIR/etc/rc.d
+copy scripts/sms3 $DESTDIR/etc/rc.d/rc.sms3.new
+SMS3SCRIPT=/etc/rc.d/rc.sms3
 
 echo ""
 echo "Example script files are not installed automatically."
 echo 'Please dont forget to edit /etc/smsd.conf.'
-if [ "$BINDIR" != "/usr/local/bin" ]; then
-  echo "You have installed executables to $BINDIR,"
-  echo "you should manually edit $SMS3SCRIPT script."
-fi
diff -Naur a/scripts/sms3 b/scripts/sms3
--- a/scripts/sms3	2010-05-04 09:21:44.000000000 +0000
+++ b/scripts/sms3	2021-04-20 22:48:57.084918445 +0000
@@ -24,9 +24,9 @@
 # Logfile can also be defined in here:
 LOGFILE="/var/log/smsd.log"
 
-DAEMON=/usr/local/bin/smsd
+DAEMON=/usr/bin/smsd
 # A program which turns power off for couple of seconds:
-RESETMODEMS=/usr/local/bin/smsd_resetmodems
+RESETMODEMS=/usr/bin/smsd_resetmodems
 NAME=smsd
 PSOPT="-e"
 ECHO=echo
